### Function

# Camel hostname_utils_host_is_in_domain

since: 3.54

#### Declaration [src]

    gboolean
    camel_hostname_utils_host_is_in_domain (
      const gchar* host,
      const gchar* domain
    )

#### Description [src]

Check whether the hostname `host` is equal to or a subdomain of `domain`. Both `host` and `domain` are UTF-8 strings and can be IDNs (which will be punycode-encoded for comparison).

Available since: 3.54

#### Parameters

`host`

  Type: `const gchar*`

  The hostname to check.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`domain`

  Type: `const gchar*`

  The domain name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `host` is a subdomain of `domain` (or the same domain). `FALSE` if not, or if either argument is null or in some way invalid as a domain/hostname.